JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
MidiRPNGenerator Class Reference
juce_audio_basics » midi

Generates an appropriate sequence of MIDI CC messages to represent an RPN or NRPN message. More...

`#include <juce_MidiRPN.h>`

## Static Public Member Functions
static MidiBuffer | generate (MidiRPNMessage message)
| Generates a MIDI sequence representing the given RPN or NRPN message.
static MidiBuffer | generate (int channel, int parameterNumber, int value, bool isNRPN=false, bool use14BitValue=true)
| Generates a MIDI sequence representing an RPN or NRPN message with the given parameters.

## Detailed Description

Generates an appropriate sequence of MIDI CC messages to represent an RPN or NRPN message.

This sequence (as a MidiBuffer) can then be directly sent to a MidiOutput.

## Member Function Documentation

## ◆ generate() [1/2]

static MidiBuffer MidiRPNGenerator::generate | ( | MidiRPNMessage | message | ) |
| static

Generates a MIDI sequence representing the given RPN or NRPN message.

## ◆ generate() [2/2]

static MidiBuffer MidiRPNGenerator::generate | ( | int | channel,
|  | int | parameterNumber,
|  | int | value,
|  | bool | isNRPN = false,
|  | bool | use14BitValue = true )
| static

Generates a MIDI sequence representing an RPN or NRPN message with the given parameters.

Parameters

  channel | The MIDI channel of the RPN/NRPN message.
  parameterNumber | The parameter number, in the range 0 to 16383.
  value | The parameter value, in the range 0 to 16383, or in the range 0 to 127 if sendAs14BitValue is false.
  isNRPN | Whether you need a MIDI RPN or NRPN sequence (RPN is default).
  use14BitValue | If true (default), the value will have 14-bit precision (two MIDI bytes). If false, instead the value will have 7-bit precision (a single MIDI byte).

The documentation for this class was generated from the following file:

- juce_MidiRPN.h